Bug 138631 - "Apply to All" button in select preferred UI dialog can't be translated
Summary: "Apply to All" button in select preferred UI dialog can't be translated
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.beta1+
Hardware: All All
: medium minor
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: 117463
  Show dependency treegraph
 
Reported: 2020-12-02 23:13 UTC by Ming Hua
Modified: 2020-12-04 05:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot with KeyID (qtz) UI (23.78 KB, image/png)
2020-12-02 23:13 UTC, Ming Hua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ming Hua 2020-12-02 23:13:12 UTC
Created attachment 167776 [details]
Screenshot with KeyID (qtz) UI

The new "Select your preferred user interface" dialog introduced in 7.1 has an "Apply to All" button, however that label is not i18n'ed and can't be translated to languages other than English.

The string "A_pply to All" doesn't show up in Weblate, and in the attached screenshot you can see the button's label doesn't have a KeyID.

This is 7.1.0 Beta1 on Windows 10:
Version: gR8uu‖%ABOUTBOXPRODUCTVERSION%ABOUTBOXPRODUCTVERSIONSUFFIX (x64)
Build ID: 828a45a14a0b954e0e539f5a9a10ca31c81d8f53
CPU threads: 2; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: zh-CN (zh_CN); UI: qtz
Calc: threaded
(or "Version: 7.1.0.0.beta1 (x64)" when switched to non-KeyID UI)
Comment 1 Heiko Tietze 2020-12-03 10:51:00 UTC
The "Apply to %MODULE" next to it has also no translation flag.
Comment 2 Commit Notification 2020-12-03 15:05:26 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b866b0da4007df19a17c42f56ca11e0e277ce4d2

Resolves tdf#138631 - Make 'Apply to All' translatable

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Ming Hua 2020-12-04 00:15:13 UTC
Thanks for the quick fix, Heiko!

(In reply to Heiko Tietze from comment #1)
> The "Apply to %MODULE" next to it has also no translation flag.
True, however as you can see in my screenshot, it had already been i18n'ed and was translatable before this commit.  It seems the string used by the UI is not the one defined in the toolbarmodedialog.ui file, but rather "RID_SVXSTR_UI_APPLYALL" defined in cui/inc/strings.hrc [1] and used in cui/source/dialogs/toolbarmodedlg.cxx [2].

1. https://opengrok.libreoffice.org/xref/core/cui/inc/strings.hrc#401
2. https://opengrok.libreoffice.org/xref/core/cui/source/dialogs/toolbarmodedlg.cxx#115
Comment 4 Commit Notification 2020-12-04 05:57:55 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/a6ea4f4b5d34b634f0c1743def507ac248bfc2e9

Resolves tdf#138631 - Make 'Apply to All' translatable

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.